List all genres

Get a list of all available genres.

 \ Example request

GET https://api.7digital.com/1.2/tag?oauth_consumer_key=YOUR_KEY_HERE&country=GB

Example response

{
    "status": "ok",
    "version": "1.2",
    "schema": "http://api.7digital.com/1.2/static/7digitalAPI.xsd",
    "shopGenres": {
        "page": 2,
        "pageSize": 5,
        "totalItems": 464,
        "tags": [
            {
                "id": "jazz",
                "text": "jazz",
                "url": "http://uk.7digital.com/genre/jazz?partner=11940",
                "count": 362630
            },
            {
                "id": "alternative",
                "text": "alternative",
                "url": "http://uk.7digital.com/genre/alternative?partner=11940",
                "count": 326097
            },
            {
                "id": "new-age",
                "text": "new age",
                "url": "http://uk.7digital.com/genre/new-age?partner=11940",
                "count": 319339
            },
            {
                "id": "latin",
                "text": "latin",
                "url": "http://uk.7digital.com/genre/latin?partner=11940",
                "count": 235347
            },
            {
                "id": "classical",
                "text": "classical",
                "url": "http://uk.7digital.com/genre/classical?partner=11940",
                "count": 203097
            }
        ]
    }
}
Query Params
string
required

ISO 2-character code of the country the end user resides in.

int32

Number of items to be returned per page. If not supplied this defaults to 10. Maximum page size is 50.

int32

Page number of the result set. If not supplied, defaults to 1.

Language
LoadingLoading…